View Issue Details

IDProjectCategoryView StatusLast Update
0006709MediaMonkey (current)Framework: Scripts/Extensionspublic2014-10-04 15:58
Reporterzvezdan 
PriorityurgentSeveritymajorReproducibilityalways
Status feedbackResolutionreopened 
Product Version 
Target VersionFixed in Version4.0 
Summary0006709: OpenSQL & CreateFolder errors are not handled with On Error
DescriptionAlmost all errors could be handled using On Error, but not OpenSQL and CreateFolder which always displays error dialog box.
Steps To ReproduceOn Error Resume Next
Set oIter = SDB.Database.OpenSQL("SELEC")

or

On Error Resume Next
SDB.Tools.FileSystem.CreateFolder "C:\Temp\P5 ...\Test\"
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=2&t=30420
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=40369

These dialog boxes is really irritating and cannot be avoided. It would be nice if you resolve that somehow, especially the one with OpenSQL.
TagsNo tags attached.
Fixed in build1347

Relationships

has duplicate 0005782 new MediaMonkey Wishlist OpenSQL & CreateFolder errors are not handled with On Error Resume Next 

Activities

Ludek

2010-11-29 16:56

developer   ~0021515

Fixed in build 1329.

zvezdan

2011-01-17 16:07

updater   ~0022378

Great, tested with 1343 and this is finally resolved. However, I need to ask, why we need to wait so long for the program response? There are 21 seconds with the blocked program between the error line and the next resumed one.

Ludek

2011-01-18 12:14

developer   ~0022389

You are right.

There is really 20 sec. delay before throwing the error (tested with SQLViewer script)

Fixed in build 1345

zvezdan

2011-02-01 21:14

updater   ~0022790

Tested just now in 1346. OpenSQL doesn't return any error code (Err = 0) when there is an error in execution, but it should.

By the way, I forgot to say that you should do the same thing with the AddTracksFromQuery method which still doesn't work with the On Error statement. I didn't try yet QuerySongs and ExecSQL - they all should have the same behavior with the On Error statement.

zvezdan

2011-02-01 21:16

updater   ~0022791

Test code:
On Error Resume Next
Set oIter = SDB.Database.OpenSQL("SELEC")
If Err Then MsgBox Err.Description

Ludek

2011-02-04 12:58

developer   ~0022838

All is fixed in build 1347.

zvezdan

2011-02-09 21:49

updater   ~0022972

Confirmed in 1348. Thanks so much for this.

zvezdan

2014-10-04 15:58

updater   ~0040705

CreateFolder error still cannot be handled with On Error.